%define cpan_name Math-Calc-Units

Name:         perl-%cpan_name
Version:      1.06
Release:      5.1
Provides:     %cpan_name
Requires:     perl = %{perl_version}
Group:        Development/Libraries/Perl
License:      Artistic
URL:          http://search.cpan.org/dist/Math-Calc-Units/
Summary:      Human-readable unit-aware calculator
Source:       %cpan_name-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Math::Calc::Units is a simple calculator that keeps track of units. It currently handles combinations of byte sizes and duration only, although adding any other multiplicative types is easy. Any unknown type is treated as a unique user type (with some effort to map English plurals to their singular forms).

The primary intended use is via the ucalc script that prints out all of the "readable" variants of a value. For example, "3 bytes" will only produce "3 byte", but "3 byte / sec" produces the original along with "180 byte / minute", "10.55 kilobyte / hour", etc.

%prep
%setup -q -n %cpan_name-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/uc*
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Math
%{perl_vendorarch}/auto/Math
/var/adm/perl-modules/%{name}
%doc Artistic.html COPYING Changes LICENSE MANIFEST README 

%changelog -n %{name}
* Sun Jan 19 2008 - gerrit.beine@googlemail.com
- moved to openSUSE Build Service
* Thu Dec 06 2007 - gerrit@beine-computer.de
- first release 1.06


